POST
/
v1
/
video
/
generate
/
subject
curl --request POST \
  --url https://geoff.ai/api/v1/video/generate/subject \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "subject_image": "base64-subject-image",
    "prompt": "The subject walking through a park on a sunny day",
    "duration": 5
  }'
{
  "data": {
    "task_id": "task_vid_jkl012",
    "status": "processing"
  }
}

Authorization

Authorization
string
required
Bearer token. Bearer API_key.

Request Body

subject_image
string
required
Base64-encoded subject reference image or file ID.
prompt
string
required
Text description of the video scene.
duration
integer
Video duration in seconds. Default: 5.
curl --request POST \
  --url https://geoff.ai/api/v1/video/generate/subject \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "subject_image": "base64-subject-image",
    "prompt": "The subject walking through a park on a sunny day",
    "duration": 5
  }'
{
  "data": {
    "task_id": "task_vid_jkl012",
    "status": "processing"
  }
}